Bug 15672 - listing an empty tape bloks the system for a while
listing an empty tape bloks the system for a while
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Doug Ledford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-07 15:07 EDT by Ilariu Raducan
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 22:32:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilariu Raducan 2000-08-07 15:07:49 EDT
When trying to list an empty tape :
tar tf /dev/st0
the system fails to open new processes (bash shells in my case)
After some time (~3 min) tar reports an error and everything is working 
again.
Comment 1 Jeff Johnson 2000-08-08 11:44:17 EDT
This smells more like a problem with the st0 driver open than with tar, so I'm
changing the
component for suggestions on what to do.
Comment 2 Alan Cox 2000-09-23 18:43:17 EDT
Sounds like the tape drive does not support disconnect or is jumpered to not do
disconnect.
Is the disk on the same scsi bus ?
Comment 3 Ilariu Raducan 2000-09-23 20:16:55 EDT
Yes, it is.
The system is a Dell PowerEdge1300. Lines from dmesg:

(scsi0) <Adaptec AIC-7890/1 Ultra2 SCSI host adapter> found at PCI 2/11/0
(scsi0) Wide Channel, SCSI ID=7, 32/255 SCBs
(scsi0) Downloading sequencer code... 396 instructions downloaded
enable_irq() unbalanced from d001b401
scsi0 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.1.28/3.2.4
       <Adaptec AIC-7890/1 Ultra2 SCSI host adapter>
scsi : 1 host.
(scsi0:0:0:0) Synchronous at 80.0 Mbyte/sec, offset 31.
  Vendor: IBM       Model: DNES-309170W      Rev: SA60
  Type:   Direct-Access                      ANSI SCSI revision: 03
Detected scsi disk sda at scsi0, channel 0, id 0, lun 0
(scsi0:0:1:0) Synchronous at 80.0 Mbyte/sec, offset 15.
  Vendor: IBM       Model: DRHS36V           Rev: 0370
  Type:   Direct-Access                      ANSI SCSI revision: 03
Detected scsi disk sdb at scsi0, channel 0, id 1, lun 0
(scsi0:0:3:0) Synchronous at 40.0 Mbyte/sec, offset 32.
  Vendor: HP        Model: C5683A            Rev: C908
  Type:   Sequential-Access                  ANSI SCSI revision: 02
SCSI device sda: hdwr sector= 512 bytes. Sectors= 17783301 [8683 MB] [8.7 GB]
 sda: sda1 sda2 < sda5 sda6 sda7 >
SCSI device sdb: hdwr sector= 512 bytes. Sectors= 72170879 [35239 MB] [35.2 GB]
 sdb: sdb1


Note You need to log in before you can comment on or make changes to this bug.